## ros-indigo-pepper-moveit-config 0.0.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pepper_moveit_config)

find_package(catkin REQUIRED)

catkin_package()

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY config DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-pepper-moveit-config (0.0.8-0trusty) trusty; urgency=high

  * Merge pull request #9 <https://github.com/ros-naoqi/pepper_moveit_config/issues/9> from ros-naoqi/fix_warnings
    Fix deprecated warnings
  * put parameters in proper namespace
  * use action rather than deprecated service. Use spaces instead of tabs
  * fix deprecated xacro call
  * Contributors: Mikael Arguedas, Natalia Lyubova

 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Tue, 17 Jan 2017 23:00:00 -0000

ros-indigo-pepper-moveit-config (0.0.7-0trusty) trusty; urgency=high

  * fix allowed_execution_duration_scaling
  * fixing the robot visualization
  * changing the type of virtual_odom
  * fixing both arms
  * adding wheels as passive joints
  * Contributors: Natalia Lyubova

 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Tue, 20 Dec 2016 23:00:00 -0000

ros-indigo-pepper-moveit-config (0.0.6-0trusty) trusty; urgency=high

  * updating Octomap config to make compatible with pepper_sensors_py
  * Update README.rst
  * Merge pull request #6 <https://github.com/ros-naoqi/pepper_moveit_config/issues/6> from 130s/impr/default_safe_planner
    Use RRT as default.
  * Use RRT as default.
  * Contributors: Isaac I.Y. Saito, Natalia Lyubova

 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Sat, 17 Sep 2016 22:00:00 -0000

ros-indigo-pepper-moveit-config (0.0.5-0trusty) trusty; urgency=high

  * removing the broken moveit_ros_visualization dependence
  * adding disabled self-collisions and cleaning
  * Merge pull request #5 <https://github.com/ros-naoqi/pepper_moveit_config/issues/5> from nlyubova/master
    updating the tutorial
  * updating the tutorial
  * Merge pull request #4 <https://github.com/ros-naoqi/pepper_moveit_config/issues/4> from nlyubova/master
    cleaning and launch file rename
  * renaming demo_real.launch to moveit_planner.launch to keep the same naming convention as for Nao
  * cleaning
  * Contributors: Mikael Arguedas, Natalia Lyubova, nlyubova

 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Mon, 04 Jul 2016 22:00:00 -0000

ros-indigo-pepper-moveit-config (0.0.4-0trusty) trusty; urgency=high

  * remove pepper_meshes from dependency because license not displayed on buildfarm
  * Contributors: Mikael Arguedas

 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Tue, 02 Feb 2016 23:00:00 -0000

ros-indigo-pepper-moveit-config (0.0.3-0trusty) trusty; urgency=high

  * update dependency list
  * fixing controllers names
  * Merge pull request #3 <https://github.com/ros-naoqi/pepper_moveit_config/issues/3> from 130s/add/botharms
    Add botharms MoveGroup and a simple unit test
  * Merge pull request #2 <https://github.com/ros-naoqi/pepper_moveit_config/issues/2> from 130s/selectable_moveitconfig
    Accept .rviz file as an argument
  * Add the simplest unit test
  * Allow no RViz gui mode
  * Add both_arms Move Group
  * Accept .rviz file as an argument
  * Merge pull request #1 <https://github.com/ros-naoqi/pepper_moveit_config/issues/1> from keulYSMB/master
    added the version argument and use xacro command instead of one globa…
  * added the version argument and use xacro command instead of one global URDF file to allow different configurations
  * fixing the repository path
  * fixing kinematics params
  * Contributors: Isaac I.Y. Saito, Mikael Arguedas, Natalia Lyubova, nlyubova

 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Tue, 02 Feb 2016 23:00:00 -0000

ros-indigo-pepper-moveit-config (0.0.2-0trusty) trusty; urgency=high

  * Creating moveit config
  * Contributors: nlyubova

 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Wed, 21 Oct 2015 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-pepper-moveit-config
Section: misc
Priority: extra
Maintainer: Natalia Lyubova <natalia.lyubova@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-pepper-moveit-config
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-joint-state-publisher, ros-indigo-moveit-fake-controller-manager, ros-indigo-moveit-planners-ompl, ros-indigo-moveit-ros-move-group, ros-indigo-moveit-simple-controller-manager, ros-indigo-pepper-description, ros-indigo-robot-state-publisher, ros-indigo-xacro
Description: An automatically generated package with all the configuration and launch files for using the Pepper robot with the MoveIt Motion Planning Framework

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-pepper-moveit-config//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
